﻿.login-page {
    background: url(../images/login-background.png) no-repeat fixed center;
    background-size: cover;
    padding-top: 5%;
    font-family: 'Open Sans', sans-serif;
}

.login-content-container {
    width: 90%;
    max-width: 541px;
    min-width: 270px;
    background: rgba(255, 255, 255, 0.8);
    margin-right: auto;
    margin-left: auto;
}

.login-header {
    position: relative;
    margin-left: 25px;
    margin-right: 25px;
    min-height: 84px;
    display: flex;
    align-items: center;
}

.login-header-text {
    font-size: 40px;
    font-weight: 100;
    font-style: italic;
    color: #2ca4e9;
    line-height: 1;
}

.login-content {
    padding: 25px 45px;
    background: rgba(255, 255, 255, 1);
    color: #282828;
    font-size: 14px;
    line-height: 20px;
    min-height: 200px
}

.login-content h2 {
    margin: 0 0 20px 0;
    font-size: 1em;
}

.login-content ul {
    padding-left: 0.3em;
}

.login-content li {
    list-style: none;
    padding-bottom: 0.7em;
}

.login-bottom {
    position: relative;
    padding: 15px 45px 12px 45px;
    border-bottom: 1px solid #f8f4f4;
    text-align: center;
    background: rgba(255, 255, 255, 1);
    color: #282828;
    font-size: 14px;
    line-height: 20px;
}

.login-bottom img {
    width: 100px;
}

.login-header::before,
.login-bottom::before {
    background: linear-gradient(to right,rgba(222,220,220,0),#dcdcdc,rgba(220,220,220,0));
    position: absolute;
    top: 0;
    width: 100%;
    height: 1px;
    left: 0;
    content: '';
}

.login-footer {
    font-size: 9pt;
    text-align: center;
}

.login-footer a {
    color: #048bd9;
    text-decoration: none;
}

.country-flags {
    padding-bottom: 12px;
}

.alert {
    width: 100%;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
}

.alert-danger {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.alert p {
    margin-left: 10px;
    margin-right: 10px;
}

.login-button {
    border-width: 1px;
    border-style: solid;
    border-color: #4f8800 #437400 #2d5e00;
    color: #fff;
    background: #4D8500;
    background: -webkit-linear-gradient(top,#569400 0,#487c00 40%,#477a00 100%);
    background: linear-gradient(to bottom,#569400 0,#487c00 40%,#477a00 100%);
    -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
    -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
    box-shadow: 0 1px 0 rgba(0,0,0,.15);
    width: 100%;
    height: 30px;
    margin-bottom: 6px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    font-size: 14px;
    line-height: 145%;
    cursor: pointer;
}

.login-button:disabled {
    background: #dadada !important;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJod�IgaGVpZ2h0PSIxIiBmaWxsPSJ1cmwoI2dyYWQtdWNnZy1nZW5lcmF0ZWQpIiAvPgo8L3N2Zz4=) !important;
    background: -webkit-linear-gradient(top, #dadada 0%, #e1e1e1 4%, #e5e5e5 100%) !important;
    background: linear-gradient(to bottom, #dadada 0%, #e1e1e1 4%, #e5e5e5 100%) !important;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#dadada', endColorstr='#e5e5e5', GradientType=0) !important;
    border-color: #b1b1b1 #c6c6c6 #cecece !important;
    outline: none !important;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.15) inset, 0 1px 0 rgba(255, 255, 255, 0.75) !important;
    cursor: default;
}

.login-button:hover {
    border-color: #579400 #4c8100 #316400;
    background: linear-gradient(to bottom, #5ea100 0, #508a00 55%, #4f8700 100%);
}

.login-button:active {
    border-color: #325700 #3b6500 #427000;
    background: linear-gradient(to bottom, #406e00 10%, #497d00 90%);
}

.login-button:focus {
    border-color: #fff;
    box-shadow: 0 0 0 1px #fff, 0 0 0 2px rgba(0, 0, 0, .12), 0 0 0 1px rgba(0, 0, 0, .12) inset;
}

.form-control {
    width: 100%;
    padding: 3px 0 3px 0;
    margin-bottom: 0.5em;
}

.consent-header {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px dashed #808080;
}

.consent-information {
    margin-bottom: 0.7em;
}

.consent-remember {
    margin-top: 1.2rem;
    margin-bottom: 1rem;
    padding-left: 0.5rem;
    position: relative;
}

.consent-description {
    padding-left: 1.5rem;
    padding-top: 0.3rem;
    font-size: 13px;
}

.consent-client-url {
    margin-top: 1em;
    text-align: center;
}

.grants-content {
    padding: 25px 45px;
    background: rgba(255, 255, 255, 1);
    color: #282828;
    font-size: 14px;
    line-height: 20px;
    min-height: 200px
}

.grants-content ul {
    margin-top: 0;
}

.grants-label {
    font-weight: bold;
}

.grants-client {
    margin-bottom: 1rem;
}

.grants-details {
    float: left;
}

.grants-client-logo {
    float: right;
}

.grants-list {
    margin-top: 10px;
}

.clear {
    clear: both;
}

.request-id {
    color: #6D6D6D;
}

.border-bottom {
    border-bottom: solid 1px #e3e3e3;
}

.custom-error-container {
    position: absolute;
    top: 30%;
    left: 25%;
    width: 50%;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
}

.custom-error-grid-child-left {
    margin-left: 3%;
    padding-right: 20px;
    float: left;
}

.custom-error-grid-child-right {
    margin-left: 30%;
    margin-top: 8%;
    height: 100px;
}

.custom-error-text {
    font-size: 14px;
}

.custom-error-header {
    font-size: 24px;
    font-weight: 200;
    margin-bottom: 20px;
}

iframe {
    display: none;
    width: 0;
    height: 0;
}

@media screen and (max-width: 768px) {
    .login-content { padding: 10px; }

    .login-button,
    .form-control { height: 45px; }

    .custom-error-grid-child-left { float: left; }

    .custom-error-grid-child-right { margin-left: 30%; }

    .custom-error-container { height: 500px; }
}
